Page 1 of 2 12 LastLast
Results 1 to 10 of 18
  1. #1
    Newbie Matrix10's Avatar
    Join Date
    Jan 2010
    Posts
    0
    Post Thanks / Like
    Rep Power
    0

    Default Howto: make IPK files on Dreambox

    For those who do not have Linux machines.
    How to make ipk packges on Dreambox for dreambox images
    that you can use in our images.
    I have test all with BH 0.12 image

    1.Put my ipk file to/tmp >>Install ipk tools file with Green Panel>>Addons>> Manual Install Ipk packges
    2.Restart Dreambox
    3.Now you should have ipkg-tools folder (/hdd/ipkg-tools)
    Now start TELNET
    4.ipk file unpack with the command ipkg-unbuild filename.ipk
    example:
    ipkg-unbuild enigma2-plugin-extensions-oroscopoitalia-e2-dreamelite_0.1_mipsel.ipk
    5.ipk folder packing with ipkg-build foldername
    example:
    ipkg-build enigma2-plugin-extensions-oroscopoitalia-e2-dreamelite

    For pack/unpack you have to use the same folder
    Tools folder /hdd/ipkg-tools


    Getting Started
    First unpack some ipk files to see the folder structure and files inside ipk
    Use good unix/Linux editor for editing
    takes into account the rights of the files
    use chmod command to change file attributes/rights
    or change with totalcommander.etc
    Look for info on the net about ipk files packages to learn more.
    Do not forget in the ipk package you need always to have control file.
    Attached Files Attached Files

  2. Likes borsalino, malimali® liked this post
  3. #2
    Newbie Matrix10's Avatar
    Join Date
    Jan 2010
    Posts
    0
    Post Thanks / Like
    Rep Power
    0

    Default

    Those who download the zip file
    file is corrupted please download again ipk file
    first post

  4. #3
    Newbie
    Join Date
    Apr 2010
    Posts
    4
    Post Thanks / Like
    Rep Power
    0

    Default

    thanks

    When i want to make ipk all is ok but when i want to ipkg install i have a error

    Could not lock /usr/lib/opkg/lock: Resource temporarily unavailable
    Only on OE1.6 it's ok on OE1.5

    Different configuration on OE1.6

    Thanks for your helping

  5. #4
    Newbie Matrix10's Avatar
    Join Date
    Jan 2010
    Posts
    0
    Post Thanks / Like
    Rep Power
    0

    Default

    I have test now with BH 1.3 DM500HD and I have no problem you have.
    Test with OE 1.6 ipk files
    try to unpack and pack the same file
    example plugin from CVS
    ===================
    You should not forget that if you have in your ipk file dependency in control file
    (example weather plugins control file Depends: enigma2(>2.6git20090518), twisted-web )
    you must have contact with the CVS server, if the dependent files are not within the image
    to be able to download, dependent files.
    You can test connection with CVS with your Software managment or with plugins>>Manage extensions

    I have test agn with one CVS Plugins ( weather plugins ) and no problem.

  6. #5
    Newbie
    Join Date
    Apr 2010
    Posts
    4
    Post Thanks / Like
    Rep Power
    0

    Default

    ok thanks i find the problem

    i have a depend with my plug "dvbsnoop" so in postint i add "ipkg install dvbsnoop" and i can't because only one ipkg can run

    You know how can i add automatic dvbsnoop when i install my plug

    Thanks

  7. #6
    Newbie Matrix10's Avatar
    Join Date
    Jan 2010
    Posts
    0
    Post Thanks / Like
    Rep Power
    0

    Default

    Why not make a just one package with all the files
    no dependence
    ================
    "ipkg install dvbsnoop"
    This is not what you need to add in to appropriate control file.
    Study some similar packages from CVS, so you'll know

    http://sources.dreamboxupdate.com/

  8. #7
    Newbie
    Join Date
    Apr 2010
    Posts
    4
    Post Thanks / Like
    Rep Power
    0

    Default

    yes i don't think that it's a good idea

    thanks when it's ok i post the plugin, it's for log EMM viacess3 and seca3

  9. #8
    Newbie Matrix10's Avatar
    Join Date
    Jan 2010
    Posts
    0
    Post Thanks / Like
    Rep Power
    0

    Default

    You have to add only dvbsnoop in your depend control file and not ipkg install dvbsnoop
    you have to add package name in control files and not install commands.

  10. #9
    Newbie Matrix10's Avatar
    Join Date
    Jan 2010
    Posts
    0
    Post Thanks / Like
    Rep Power
    0

    Default

    If you make a plugin and upload, note that it must be in relation to
    Forum Rules .

  11. #10
    Newbie
    Join Date
    May 2010
    Posts
    1
    Post Thanks / Like
    Rep Power
    0

    Default

    Hi
    i followed the procedure to build latest barry allen 5.1.24.ipk just for test
    during building the ipkg i had these errors
    script preinst file is not executable

    what,s wrong

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •